ReferenceKnowledge bases
Rename or change retrieval settings
PATCH
/v1/teams/{team}/kbs/{kbId}Path Parameters
team*string
Team slug or ID
kbId*string
Format
uuidHeader Parameters
If-Match*string
The resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/teams/string/kbs/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "If-Match: string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "embeddingProfileId": "8dcd7938-4b29-4322-bd8d-1bc46747c2a4", "topK": 0, "sources": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "classification": "string", "shared": true } ], "effectiveClassification": "string", "fusionWeights": { "vector": 0, "keyword": 0 }, "effectiveFusionWeights": { "vector": 0, "keyword": 0 }, "fusionWeightsSource": "knowledge_base", "revision": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}